Main Page | Alphabetical List | Data Structures | Directories | File List | Data Fields | Globals
| All | Functions | Variables | Typedefs | Defines
c | d | f | g | h | l | m | n | o | p | s | t | u

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - m -

- main() : simple-mbgateway.c
- MASTER_PORT : simple-mbgateway.c
- MAX_485_NUM : modbus_defs.h
- MAX_BUFFER_SIZE : simple-mbgateway.c, modbus_defs.h
- MAX_CONNECTION : socket.h
- MAX_PORT_NUM : serial.h
- MAX_SERVER_SIZE : mbtcp.h
- MB_ASCII_ADU_MAX_LENGTH : modbus_defs.h
- MB_ASCII_PROTOCOL : modbus_defs.h
- MB_ERROR_BAD_FD : modbus_defs.h
- MB_ERROR_BUFFER_TOO_SHORT : modbus_defs.h
- MB_ERROR_EXECPTION : modbus_defs.h
- MB_ERROR_FORMAT : modbus_defs.h
- MB_ERROR_FREE : modbus_defs.h
- MB_ERROR_FUNCTION : modbus_defs.h
- MB_ERROR_LENGTH : modbus_defs.h
- MB_ERROR_MODE : modbus_defs.h
- MB_ERROR_NET : modbus_defs.h
- MB_ERROR_NO_FILE_HANDLE : modbus_defs.h
- MB_ERROR_NO_FRAME : modbus_defs.h
- MB_ERROR_NOT_OPENED : modbus_defs.h
- MB_ERROR_OPEN : modbus_defs.h
- MB_ERROR_PARAMETER : modbus_defs.h
- MB_ERROR_PROTOCOL : modbus_defs.h
- MB_ERROR_TCP_NOT_CONNECTED : modbus_defs.h
- MB_ERROR_TIMEOUT : modbus_defs.h
- MB_OK : modbus_defs.h
- MB_RTU_ADU_MAX_LENGTH : modbus_defs.h
- MB_RTU_PROTOCOL : modbus_defs.h
- MB_TCP_PORT : modbus_defs.h
- MB_TCP_PROTOCOL : modbus_defs.h
- MBAPStruct : mbtcp.h
- MBASCIIToData() : modbus_utils.h, modbus_utils.c
- MBDataToASCII() : modbus_utils.h, modbus_utils.c
- MBDiagnostic() : modbus_utils.h, modbus_utils.c
- MBF_DIAGNOSTIC : modbus_defs.h
- MBF_GET_COMM_EVENT_COUNTER : modbus_defs.h
- MBF_GET_COMM_EVENT_LOG : modbus_defs.h
- MBF_HAS_EXCEPTION : modbus_defs.h
- MBF_MASK : modbus_defs.h
- MBF_MASK_WRITE_REGISTER : modbus_defs.h
- MBF_READ_COILS : modbus_defs.h
- MBF_READ_DECRETE_INPUTS : modbus_defs.h
- MBF_READ_DEVICE_IDENTIFICATION : modbus_defs.h
- MBF_READ_EXCEPTION_STATUS : modbus_defs.h
- MBF_READ_FIFO_QUEUE : modbus_defs.h
- MBF_READ_FILE_RECORD : modbus_defs.h
- MBF_READ_HOLDING_REGISTERS : modbus_defs.h
- MBF_READ_INPUT_REGISTERS : modbus_defs.h
- MBF_READ_WRITE_MULTIPLE_REGISTERS : modbus_defs.h
- MBF_REPORT_SLAVE_ID : modbus_defs.h
- MBF_WRITE_FILE_RECORD : modbus_defs.h
- MBF_WRITE_MULTIPLE_COILS : modbus_defs.h
- MBF_WRITE_MULTIPLE_REGISTERS : modbus_defs.h
- MBF_WRITE_SINGLE_COIL : modbus_defs.h
- MBF_WRITE_SINGLE_REGISTER : modbus_defs.h
- MBGetAddress() : modbus_utils.h, modbus_utils.c
- MBGetCommEventCounter() : modbus_utils.h, modbus_utils.c
- MBGetCommEventLog() : modbus_utils.h, modbus_utils.c
- MBGetDiagnostic() : modbus_utils.h, modbus_utils.c
- MBGetFunctionCode() : modbus_utils.h, modbus_utils.c
- MBGetMaskWriteRegister() : modbus_utils.h, modbus_utils.c
- MBGetPDU() : modbus_utils.h, modbus_utils.c
- MBGetReadCoils() : modbus_utils.h, modbus_utils.c
- MBGetReadDecreteInputs() : modbus_utils.h, modbus_utils.c
- MBGetReadFIFOQueue() : modbus_utils.h, modbus_utils.c
- MBGetReadHoldingRegisters() : modbus_utils.h, modbus_utils.c
- MBGetReadInputRegisters() : modbus_utils.h, modbus_utils.c
- MBGetReadWriteMultipleRegisters() : modbus_utils.h, modbus_utils.c
- MBGetResponseDiagnostic() : modbus_utils.h, modbus_utils.c
- MBGetResponseGetCommEventCounter() : modbus_utils.h, modbus_utils.c
- MBGetResponseGetCommEventLog() : modbus_utils.h, modbus_utils.c
- MBGetResponseMaskWriteRegister() : modbus_utils.h, modbus_utils.c
- MBGetResponseReadCoils() : modbus_utils.h, modbus_utils.c
- MBGetResponseReadDecreteInputs() : modbus_utils.h, modbus_utils.c
- MBGetResponseReadExceptionStatus() : modbus_utils.c
- MBGetResponseReadExecptionStatus() : modbus_utils.h
- MBGetResponseReadFIFOQueue() : modbus_utils.c
- MBGetResponseReadFIFOueue() : modbus_utils.h
- MBGetResponseReadHoldingRegisters() : modbus_utils.h, modbus_utils.c
- MBGetResponseReadInputRegisters() : modbus_utils.h, modbus_utils.c
- MBGetResponseReadWriteMultipleRegisters() : modbus_utils.h, modbus_utils.c
- MBGetResponseReportSlaveID() : modbus_utils.h, modbus_utils.c
- MBGetResponseWriteMultipleCoils() : modbus_utils.h, modbus_utils.c
- MBGetResponseWriteMultipleRegisters() : modbus_utils.h, modbus_utils.c
- MBGetResponseWriteSingleCoil() : modbus_utils.h, modbus_utils.c
- MBGetResponseWriteSingleRegister() : modbus_utils.h, modbus_utils.c
- MBGetWriteMultipleCoils() : modbus_utils.h, modbus_utils.c
- MBGetWriteMultipleRegisters() : modbus_utils.h, modbus_utils.c
- MBGetWriteSingleCoil() : modbus_utils.h, modbus_utils.c
- MBGetWriteSingleRegister() : modbus_utils.h, modbus_utils.c
- MBMakeADU() : modbus_utils.h, modbus_utils.c
- MBMakePDU() : modbus_utils.h, modbus_utils.c
- MBMaskWriteRegister() : modbus_utils.h, modbus_utils.c
- MBReadCoils() : modbus_utils.h, modbus_utils.c
- MBReadDecreteInputs() : modbus_utils.h, modbus_utils.c
- MBReadExceptionStatus() : modbus_utils.h, modbus_utils.c
- MBReadFIFOQueue() : modbus_utils.h, modbus_utils.c
- MBReadHoldingRegisters() : modbus_utils.h, modbus_utils.c
- MBReadInputRegisters() : modbus_utils.h, modbus_utils.c
- MBReadWriteMultipleRegisters() : modbus_utils.h, modbus_utils.c
- MBReportSlaveID() : modbus_utils.h, modbus_utils.c
- MBResponseDiagnostic() : modbus_utils.h, modbus_utils.c
- MBResponseGetCommEventCounter() : modbus_utils.h, modbus_utils.c
- MBResponseGetCommEventLog() : modbus_utils.h, modbus_utils.c
- MBResponseReadCoils() : modbus_utils.h, modbus_utils.c
- MBResponseReadDecreteInputs() : modbus_utils.h, modbus_utils.c
- MBResponseReadExceptionStatus() : modbus_utils.c
- MBResponseReadExecptionStatus() : modbus_utils.h
- MBResponseReadFIFOQueue() : modbus_utils.c
- MBResponseReadFIFOueue() : modbus_utils.h
- MBResponseReadHoldingRegisters() : modbus_utils.h, modbus_utils.c
- MBResponseReadInputRegisters() : modbus_utils.h, modbus_utils.c
- MBResponseWriteMultipleRegisters() : modbus_utils.h, modbus_utils.c
- MBResponseWriteSingleCoil() : modbus_utils.h, modbus_utils.c
- MBResponseWriteSingleRegister() : modbus_utils.h, modbus_utils.c
- MBSerialBlockRead() : mbserial.h, mbserial.c
- MBSerialClose() : mbserial.h, mbserial.c
- MBSerialDiagnostic() : mbserial.h, mbserial.c
- MBSerialFlowCtrl() : mbserial.h, mbserial.c
- MBSerialGetAddress() : mbserial.h, mbserial.c
- MBSerialGetCharTimeout() : mbserial.h, mbserial.c
- MBSerialGetCommEventCounter() : mbserial.h, mbserial.c
- MBSerialGetCommEventLog() : mbserial.h, mbserial.c
- MBSerialGetFrameTimeout() : mbserial.h, mbserial.c
- MBSerialGetPDU() : mbserial.h, mbserial.c
- MBSerialGetTimeout() : mbserial.h, mbserial.c
- MBSerialInfo : mbserial.c
- MBSerialInit() : mbserial.h, mbserial.c
- MBSerialMaskWriteRegister() : mbserial.h, mbserial.c
- MBSerialNonBlockRead() : mbserial.h, mbserial.c
- MBSerialOpen() : mbserial.h, mbserial.c
- MBSerialReadASCII() : mbserial.h, mbserial.c
- MBSerialReadCoils() : mbserial.h, mbserial.c
- MBSerialReadDecreteInputs() : mbserial.h, mbserial.c
- MBSerialReadExceptionStatus() : mbserial.h, mbserial.c
- MBSerialReadFIFOQueue() : mbserial.h, mbserial.c
- MBSerialReadHoldingRegisters() : mbserial.h, mbserial.c
- MBSerialReadInputRegisters() : mbserial.h, mbserial.c
- MBSerialReadRTU() : mbserial.h, mbserial.c
- MBSerialReadWriteMultipleRegisters() : mbserial.h, mbserial.c
- MBSerialReportSlaveID() : mbserial.h, mbserial.c
- MBSerialSendAndWaitResponse() : mbserial.h, mbserial.c
- MBSerialSendDiagnostic() : mbserial.h, mbserial.c
- MBSerialSendGetCommEventCounter() : mbserial.h, mbserial.c
- MBSerialSendGetCommEventLog() : mbserial.h, mbserial.c
- MBSerialSendReadCoils() : mbserial.h, mbserial.c
- MBSerialSendReadDecreteInputs() : mbserial.h, mbserial.c
- MBSerialSendReadExecptionStatus() : mbserial.h, mbserial.c
- MBSerialSendReadFIFOueue() : mbserial.h, mbserial.c
- MBSerialSendReadHoldingRegisters() : mbserial.h, mbserial.c
- MBSerialSendReadInputRegisters() : mbserial.h, mbserial.c
- MBSerialSendWriteMultipleRegisters() : mbserial.h, mbserial.c
- MBSerialSendWriteSingleCoil() : mbserial.h, mbserial.c
- MBSerialSendWriteSingleRegister() : mbserial.h, mbserial.c
- MBSerialSetCharTimeout() : mbserial.h, mbserial.c
- MBSerialSetFrameTimeout() : mbserial.h, mbserial.c
- MBSerialSetMode() : mbserial.h, mbserial.c
- MBSerialSetParam() : mbserial.h, mbserial.c
- MBSerialSetSpeed() : mbserial.h, mbserial.c
- MBSerialSetTimeout() : mbserial.h, mbserial.c
- MBSerialWrite() : mbserial.h, mbserial.c
- MBSerialWriteMultipleCoils() : mbserial.h, mbserial.c
- MBSerialWriteMultipleRegisters() : mbserial.h, mbserial.c
- MBSerialWriteSingleCoil() : mbserial.h, mbserial.c
- MBSerialWriteSingleRegister() : mbserial.h, mbserial.c
- MBTCPBlockRead() : mbtcp.h, mbtcp.c
- MBTCPClientClose() : mbtcp.h, mbtcp.c
- MBTCPClientConnect() : mbtcp.h, mbtcp.c
- MBTCPClientInit() : mbtcp.h, mbtcp.c
- MBTCPGetMBAP() : mbtcp.h, mbtcp.c
- MBTCPGetPDU() : mbtcp.h, mbtcp.c
- MBTCPGetTimeout() : mbtcp.h
- MBTCPMakeMBAP() : mbtcp.h, mbtcp.c
- MBTCPMaskwWriteRegister() : mbtcp.h, mbtcp.c
- MBTCPNonBlockRead() : mbtcp.h, mbtcp.c
- MBTCPReadCoils() : mbtcp.h, mbtcp.c
- MBTCPReadDecreteInputs() : mbtcp.h, mbtcp.c
- MBTCPReadFIFOQueue() : mbtcp.h, mbtcp.c
- MBTCPReadHoldingRegisters() : mbtcp.h, mbtcp.c
- MBTCPReadInputRegisters() : mbtcp.h, mbtcp.c
- MBTCPReadWriteMultipleRegisters() : mbtcp.h, mbtcp.c
- MBTCPSendAndWaitResponse() : mbtcp.h, mbtcp.c
- MBTCPSendReadCoils() : mbtcp.h, mbtcp.c
- MBTCPSendReadDecreteInputs() : mbtcp.h, mbtcp.c
- MBTCPSendReadFIFOQueue() : mbtcp.h, mbtcp.c
- MBTCPSendReadHoldingRegisters() : mbtcp.h, mbtcp.c
- MBTCPSendReadInputRegisters() : mbtcp.h, mbtcp.c
- MBTCPSendWriteMultipleRegisters() : mbtcp.h, mbtcp.c
- MBTCPSendWriteSingleCoil() : mbtcp.h, mbtcp.c
- MBTCPSendWriteSingleRegister() : mbtcp.h, mbtcp.c
- MBTCPServerClose() : mbtcp.h, mbtcp.c
- MBTCPServerInit() : mbtcp.h, mbtcp.c
- MBTCPServerWaitConnection() : mbtcp.h, mbtcp.c
- MBTCPSetTimeout() : mbtcp.h
- MBTCPWrite() : mbtcp.h, mbtcp.c
- MBTCPWriteMBAP() : mbtcp.h, mbtcp.c
- MBTCPWriteMultipleCoils() : mbtcp.h, mbtcp.c
- MBTCPWriteMultipleRegisters() : mbtcp.h, mbtcp.c
- MBTCPWriteSingleCoil() : mbtcp.h, mbtcp.c
- MBTCPWriteSingleRegister() : mbtcp.h, mbtcp.c
- MBWriteMultipleCoils() : modbus_utils.h, modbus_utils.c
- MBWriteMultipleRegisters() : modbus_utils.h, modbus_utils.c
- MBWriteSingleCoil() : modbus_utils.h, modbus_utils.c
- MBWriteSingleRegister() : modbus_utils.h, modbus_utils.c